LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Programmatically save LVLIB for old version?

Hi all,

Is there a way I can programmatically save an LVLIB for an old version of LabVIEW? I'm running LV2010 and I want to target v8.5. The Library->Save For Previous method only appears to go one version back (looking at the version number in the file), which seems at odd with the help for that method ("readable by LabVIEW 8.0 and later") - is that statement true regardless?

 

Using File->Save for Previous Version does what I want, but there are a bunch to convert and I'll have to do it after each major update. The Save For Previous method for VIs takes a Version argument, which is great, but is there a workaround to achieve the same thing for LVLIBs.

 

Or more succinctly, can I achieve the File->Save for Previous behaviour on LVLIBs programmatically?

 

 

Cheers

0 Kudos
Message 1 of 2
(735 Views)

Hi martijnj,

 

You can programmatically save libraries to a previous version using VI Server invoke nodes. The forum below asks a similar question and shows these functions:

 

http://forums.ni.com/t5/LabVIEW/Downconverting-Lvlib/td-p/1270088

 

As you can see in that forum, the invoke node for the library does not allow you to select the target version, so only saves to the previous version. I tried this on my system (LabVIEW 2011, LabVIEW 2013) and the invoke node in these later LabVIEW versions allows you to select the target version to save to. It seems as though this additional functionality may not be available in LabVIEW 2010, however. The help for LabVIEW 2010 only shows one input for this invoke node:

 

http://zone.ni.com/reference/en-XX/help/371361G-01/lvprop/library_save058for_previous/

 

Best Regards,

Catherine B.
Applications Engineer
National Instruments
0 Kudos
Message 2 of 2
(702 Views)